Skip to main content
GET
/
api
/
v1
/
processes
List processes
curl --request GET \
  --url https://{sandbox_id_or_name}.sandbox.tensorlake.ai/api/v1/processes \
  --header 'Authorization: Bearer <token>'
{
  "processes": [
    {
      "pid": 123,
      "status": "running",
      "stdin_writable": true,
      "command": "<string>",
      "args": [
        "<string>"
      ],
      "started_at": 123,
      "exit_code": 123,
      "signal": 123,
      "ended_at": 123
    }
  ]
}
List the processes tracked inside a sandbox.

Endpoint

GET /api/v1/processes

Example Request

curl https://<sandbox-id>.sandbox.tensorlake.ai/api/v1/processes \
  -H "Authorization: Bearer $TENSORLAKE_API_KEY"

Response

Tensorlake returns 200 OK:
{
  "processes": [
    {
      "pid": 42,
      "status": "running",
      "exit_code": null,
      "signal": null,
      "stdin_writable": false,
      "command": "python",
      "args": ["-m", "http.server", "8080"],
      "started_at": 1710000000000,
      "ended_at": null
    }
  ]
}
status is one of running, exited, or signaled.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

200 - application/json

List of processes

processes
object[]
required